c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
intrusive_ptr.h File Reference
`#include <utility>`
`#include <functional>`
`#include <cstddef>`
`#include <glib.h>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes
class | Cgu::IntrusivePtr< T >
| This is a smart pointer for managing objects allocated on freestore which maintain their own reference count. More...
class | Cgu::IntrusiveCounter
| This is a counter class providing the ref() and unref() functions required by IntrusivePtr. More...
class | Cgu::IntrusiveLockCounter
| This is a counter class providing the ref() and unref() functions required by IntrusivePtr, with a thread safe reference count.. More...

## Namespaces
| Cgu

## Functions
template<class T >
bool | Cgu::operator== (const IntrusivePtr< T > &s1, const IntrusivePtr< T > &s2) noexcept
template<class T >
bool | Cgu::operator!= (const IntrusivePtr< T > &s1, const IntrusivePtr< T > &s2) noexcept
template<class T >
bool | Cgu::operator< (const IntrusivePtr< T > &s1, const IntrusivePtr< T > &s2)